Opened 12 years ago

Closed 12 years ago

Last modified 12 years ago

#16735 closed update (fixed)

UPGRADE: gimp2 to 2.6.0

Reported by: dbevans (David B. Evans) Owned by: macports-tickets@…
Priority: Normal Milestone:
Component: ports Version: 1.7.0
Keywords: image processing graphics Cc: myschizobuddy@…, simon@…
Port: gimp2

Description

Assume maintainership for gimp2 which is currently nomaintainer and upgrade to the newly released stable version 2.6.0. Note that this port depends on new ports babl (#16729) and gegl (#16730) which have not yet been committed. Tested successfully on 10.4.11 ppc. Would appreciate testing and feedback on other platforms.

Attachments (1)

patch-gimp2-Portfile.diff (2.8 KB) - added by dbevans (David B. Evans) 12 years ago.
Revised patch for Portfile

Download all attachments as: .zip

Change History (16)

comment:1 Changed 12 years ago by myschizobuddy@…

you should disable Gvfs as noted on gimp site Quote "If you build GIMP yourself and don't have GVfs support on your platform you need to explicitly pass --without-gvfs to configure, otherwise opening remote files will not work properly"

comment:2 in reply to:  1 ; Changed 12 years ago by dbevans (David B. Evans)

Replying to myschizobuddy@…:

you should disable Gvfs as noted on gimp site Quote "If you build GIMP yourself and don't have GVfs support on your platform you need to explicitly pass --without-gvfs to configure, otherwise opening remote files will not work properly"

Well, we do have a port of gvfs available in Macports so I guess the question is what level of support is available for various remote protocols. Will look into this. Thanks for the input.

comment:3 in reply to:  2 Changed 12 years ago by dbevans (David B. Evans)

Replying to db.evans@…:

Replying to myschizobuddy@…:

you should disable Gvfs as noted on gimp site Quote "If you build GIMP yourself and don't have GVfs support on your platform you need to explicitly pass --without-gvfs to configure, otherwise opening remote files will not work properly"

Well, we do have a port of gvfs available in Macports so I guess the question is what level of support is available for various remote protocols. Will look into this. Thanks for the input.

Have attached a modified port file. Default is --without-gvsf (and --without-hal and --without-alsa to be complete) with a gvfs variant to include gvfs if desired by the adventurous. Thanks again for the input. Glad to see someone is paying attention.

Changed 12 years ago by dbevans (David B. Evans)

Attachment: patch-gimp2-Portfile.diff added

Revised patch for Portfile

comment:4 Changed 12 years ago by myschizobuddy@…

Cc: myschizobuddy@… added

Cc Me!

comment:5 Changed 12 years ago by myschizobuddy@…

port:webkit-gtk will install gstreamer and gst-plugins-base. which will install libtheora, libvorbis, libogg etc Gimp 2.6 is turning out to be insanely huge.

comment:6 Changed 12 years ago by myschizobuddy@…

Tested and verified on Mac OSX Leopard 10.5.5 intel

123 dependent ports were installed for gimp 2.6. you should also update gimp.app port as well

thanks for the effort

comment:7 in reply to:  6 Changed 12 years ago by dbevans (David B. Evans)

Replying to myschizobuddy@…:

Tested and verified on Mac OSX Leopard 10.5.5 intel

123 dependent ports were installed for gimp 2.6. you should also update gimp.app port as well

thanks for the effort

And thanks for your testing support and perseverance in getting through this build. The current gimp-app (2.4.0_0) works as is with gimp2-2.6.0.

comment:8 Changed 12 years ago by simon@…

Cc: simon@… added
Resolution: fixed
Status: newclosed

Committed in r40588. Thanks again for your help.

webkit-gtk didn't build for me so I tried building gimp2 without it, and it worked for me. I'm not sure if this reduces gimp's functionality. So if anybody else has problems building webkit-gtk a workaround would be to build gimp2 with out it.

Simon

comment:9 Changed 12 years ago by myschizobuddy@…

webkit is needed for the help browser plugin. so yes you can live without it.

comment:10 Changed 12 years ago by myschizobuddy@…

what about the gimp meta port

comment:11 Changed 12 years ago by simon@…

Oh, I forgot about it, updated in r40617. Thanks for the hint.

@db.evans@…: I also added you as maintainer to the gimp meta port, I hope this is okay for you.

Simon

comment:12 Changed 12 years ago by myschizobuddy@…

@simon i have filled an enhancement of webkit (#16789) try that one

comment:13 Changed 12 years ago by myschizobuddy@…

this will be a good time to sneak gimp-app under him as well :)

comment:14 Changed 12 years ago by jmroot (Joshua Root)

Type: enhancementupdate

comment:15 Changed 12 years ago by (none)

Milestone: Port Updates

Milestone Port Updates deleted

Note: See TracTickets for help on using tickets.